Bug 10736 - AcqWarnOnDuplicateInvoice doesn't warn for duplications - just triplications+
Summary: AcqWarnOnDuplicateInvoice doesn't warn for duplications - just triplications+
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 10366
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 15:08 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10736: show duplicate invoice warning on second invoice (1.25 KB, patch)
2013-08-15 15:30 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10736: show duplicate invoice warning on second invoice (1.34 KB, patch)
2013-08-15 16:04 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10736: show duplicate invoice warning on second invoice (1.39 KB, patch)
2013-08-16 10:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-08-15 15:08:24 UTC
If you have AcqWarnOnDuplicateInvoice set to warn it only warns if you have 2 or more invoices with the same number. It should warn if you're trying to create a duplicate.
Comment 1 Jared Camins-Esakov 2013-08-15 15:30:38 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-08-15 16:04:02 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-08-16 10:01:12 UTC
Works as expected, marked as Passed QA.
Comment 4 Jonathan Druart 2013-08-16 10:01:29 UTC
Created attachment 20391 [details] [review]
Bug 10736: show duplicate invoice warning on second invoice

If you have AcqWarnOnDuplicateInvoice set to warn it only warns if you have 2
or more invoices with the same number. It should warn if you're trying to
create a duplicate.

To test:
1) Turn on AcqWarnOnDuplicateInvoice.
2) Try to create an invoice that duplicates an invoice number you are already
   using exactly once.
3) Note that you get a warning after applying this patch.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
all tests pass

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2013-08-16 17:01:27 UTC
Pushed to master.  Thanks, Jared!